<?php

/*

Copyright 2014 Dario Curvino (email : d.curvino@tiscali.it)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>
*/

if (!defined('ABSPATH')) {
    exit('You\'re not allowed to see this page');
} // Exit if accessed directly

/**
 * Class YasrOverallRating
 * Print Yasr Overall Rating
 */
class YasrOverallRating extends YasrShortcode {

    protected $html_stars;
    protected $overall_rating;

    /**
     * Print the visitor votes shortcode
     *
     * @return string|null
     */

    function printOverallRating () {

        $stars_size              = $this->starSize();
        $this->overall_rating    = YasrDatabaseRatings::getOverallRating($this->post_id);

        $this->shortcode_html    = '<!--Yasr Overall Rating Shortcode-->';

        //generate an unique id to be sure that every element has a different ID
        $unique_id               = str_shuffle(uniqid());
        $overall_rating_html_id  = 'yasr-overall-rating-rater-' . $unique_id;

        $this->html_stars = "<div class='yasr-overall-rating'>
                                 <div class='yasr-rater-stars'
                                     id='$overall_rating_html_id'
                                     data-rating='$this->overall_rating'
                                     data-rater-starsize='$stars_size' >
                                 </div>
                             </div>";

        $this->customTextBefore();
        $this->shortcode_html .= '<!--End Yasr Overall Rating Shortcode-->';

        //If overall rating in loop is enabled don't use is_singular && is main_query
        if (YASR_SHOW_OVERALL_IN_LOOP === 'enabled') {
            return $this->shortcode_html;
        } //default

        if (is_singular() && is_main_query()) {
            return $this->shortcode_html;
        }

        return null;
    }

    /**
     * If enabled in the settings, this function will show the custom text
     * before or after the stars in yasr_visitor_votes
     *
     * @param  void
     * @return void
     *
     */
    protected function customTextBefore() {
        if (YASR_TEXT_BEFORE_STARS == 1 && YASR_TEXT_BEFORE_OVERALL != '') {
            $text_before_star = str_replace('%overall_rating%', $this->overall_rating, YASR_TEXT_BEFORE_OVERALL);
            $this->shortcode_html   = "<div class='yasr-container-custom-text-and-overall'>
                                           <span id='yasr-custom-text-before-overall'>" . $text_before_star . "</span>
                                           $this->html_stars  
                                       </div>";
        } else {
            $this->shortcode_html .= $this->html_stars;
        }
    }

}